/*
 * Copyright (C) 2000 - NoCrew Productions
 *
 * STsndplay is licensed under the GNU General Public License.
 * For further details read the provided 'License' file.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>

void load_file(char *filename, void *buffer)
{
  int fd;
  struct stat buf;

  fd = open(filename, O_RDONLY);
  if(fd < 0) {
    perror("load");
    exit(-33);
  }

  if(fstat(fd, &buf) < 0) {
    perror("fstat");
    exit(-33);
  }

  if(read(fd, buffer, buf.st_size) != buf.st_size) {
    perror("read");
    exit(-33);
  }
}

