/*
 * Copyright (C) 2000 - NoCrew Productions
 *
 * STsndplay is licensed under the GNU General Public License.
 * For further details read the provided 'License' file.
 *
 */

#ifndef _VEC_H_
#define _VEC_H_

typedef
struct sVEC {
  void *data;
  int offset;
  int size;
} VEC;

#include <ocpuis.h>

CPUbyte vec_get_byte(CPUaddr);
CPUword vec_get_word(CPUaddr);
CPUlong vec_get_long(CPUaddr);
void vec_put_byte(CPUaddr, CPUbyte);
void vec_put_word(CPUaddr, CPUword);
void vec_put_long(CPUaddr, CPUlong);
void *vec_real_addr(CPUaddr);
int vec_valid_addr(CPUaddr, CPUlong);

void vec_init(int, int);

#endif /* _VEC_H_ */
