/*
 * Copyright (C) 2000 - NoCrew Productions
 *
 * STsndplay is licensed under the GNU General Public License.
 * For further details read the provided 'License' file.
 *
 */

#ifndef _CPU_H_
#define _CPU_H_

#include <ocpuis.h>

CPU *cpu_init(CPUaddr, CPUaddr, CPUword, int);
void cpu_setbuffer(unsigned char *);
CPUbyte gen_get_byte(CPUaddr);
CPUword gen_get_word(CPUaddr);
CPUlong gen_get_long(CPUaddr);
void gen_put_byte(CPUaddr, CPUbyte);
void gen_put_word(CPUaddr, CPUword);
void gen_put_long(CPUaddr, CPUlong);
void *gen_real_addr(CPUaddr);
int gen_valid_addr(CPUaddr, CPUlong);

#endif /* _CPU_H_ */
