/*
 * Copyright (C) 2000 - NoCrew Productions
 *
 * STsndplay is licensed under the GNU General Public License.
 * For further details read the provided 'License' file.
 *
 */

#ifndef _YM_H_
#define _YM_H_

#include <ocpuis.h>

CPUbyte ym_get_byte(CPUaddr);
CPUword ym_get_word(CPUaddr);
CPUlong ym_get_long(CPUaddr);
void ym_put_byte(CPUaddr, CPUbyte);
void ym_put_word(CPUaddr, CPUword);
void ym_put_long(CPUaddr, CPUlong);
void *ym_real_addr(CPUaddr);
int ym_valid_addr(CPUaddr, CPUlong);

void ym_init(int, int, int);
void ym_create_samples(int, void *, int);

#endif /* _YM_H_ */
